<?
  include("../fnc.php");
  enlinea_a();
  if(!$tipo_trn){
    alert("Parámetros incorrectos","$jsback");
  }

  switch($tipo_trn){
    case "Add":
                $qv=mysql_query("select * from cp_planesdepagos
                                 where plan = '$txtplan'");
                if(mysql_num_rows($qv)>0){
                  alert("El nombre del plan que ingresó ya existe.\\nNo puede tener 2 planes con el mismo nombre","$jsback");
                }

                if(!$m1){$m1="N";}
                if(!$m2){$m2="N";}
                if(!$m3){$m3="N";}
                if(!$m4){$m4="N";}
                if(!$m5){$m5="N";}
                if(!$m6){$m6="N";}
                if(!$m7){$m7="N";}
                if(!$m8){$m8="N";}
                if(!$m9){$m9="N";}
                if(!$m10){$m10="N";}
                if(!$m11){$m11="N";}
                if(!$m12){$m12="N";}

                $sql="insert into cp_planesdepagos
                      set plan='$txtplan',
                      descripcion='$txtdescripcion',
                      cargo_anual='$txtcargoanual',
                      mes_cargo_anual='$mes_ca',
                      valor_mensualidad='$txtvmensualidad',
                      m1='$m1',
                      m2='$m2',
                      m3='$m3',
                      m4='$m4',
                      m5='$m5',
                      m6='$m6',
                      m7='$m7',
                      m8='$m8',
                      m9='$m9',
                      m10='$m10',
                      m11='$m11',
                      m12='$m12'";
                //echo $sql;
                $query=mysql_query($sql);
                $idpp=enc(mysql_insert_id());
                if($query){
                  header("Location: frm_cp_editplanespago.php?idpp=$idpp");
                }else{
                  echo mysql_error();
                  alert("Error: no se pudo agregar el plan de pago","$jsback");
                }
    break;

    case "Update":
                $id_plan=dec($idp);
                $qv=mysql_query("select * from cp_planesdepagos
                                 where id = '$id_plan'");
                if(mysql_num_rows($qv)==0){
                  alert("El plan que ingresó no existe.","$jsback");
                }

                if(!$m1){$m1="N";}
                if(!$m2){$m2="N";}
                if(!$m3){$m3="N";}
                if(!$m4){$m4="N";}
                if(!$m5){$m5="N";}
                if(!$m6){$m6="N";}
                if(!$m7){$m7="N";}
                if(!$m8){$m8="N";}
                if(!$m9){$m9="N";}
                if(!$m10){$m10="N";}
                if(!$m11){$m11="N";}
                if(!$m12){$m12="N";}

                $sql="update cp_planesdepagos
                      set plan='$txtplan',
                      descripcion='$txtdescripcion',
                      cargo_anual='$txtcargoanual',
                      mes_cargo_anual='$mes_ca',
                      valor_mensualidad='$txtvmensualidad',
                      m1='$m1',
                      m2='$m2',
                      m3='$m3',
                      m4='$m4',
                      m5='$m5',
                      m6='$m6',
                      m7='$m7',
                      m8='$m8',
                      m9='$m9',
                      m10='$m10',
                      m11='$m11',
                      m12='$m12'
                      where id = $id_plan";
                //echo $sql;
                $query=mysql_query($sql);
                if($query){
                  header("Location: frm_cp_planespago_upd.php");
                }else{
                  echo mysql_error();
                  alert("Error: no se pudo actualizar el plan de pago","$jsback");
                }
    break;

  }

?>